import type { AutocompleteAction, AutocompleteHandler, AutocompleteItem } from "./types.js";
export type MainHandlerConfig = readonly AutocompleteItem[];
export declare class MainHandler implements Required<AutocompleteHandler> {
    private static log;
    private readonly config;
    constructor(config: MainHandlerConfig);
    onOpen(action: AutocompleteAction): boolean;
    onClose(action: AutocompleteAction): boolean;
    onArrow(action: AutocompleteAction): boolean;
    onEnter(action: AutocompleteAction): boolean;
    onFilter(action: AutocompleteAction): boolean;
    onDestroy(): void;
    private getItem;
}
